%define upstream_name    Compress-Zstd
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Zstd decompression dictionary
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build)
BuildRequires: perl-devel

%description
The Compress::Zstd module provides an interface to the Zstd (de)compressor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Fri Dec 01 2023 tv <tv> 0.200.0-5.mga10
+ Revision: 2012278
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.200.0-4.mga9
+ Revision: 1875082
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.200.0-3.mga9
+ Revision: 1795264
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.200.0-2.mga8
+ Revision: 1606968
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sun May 03 2020 tv <tv> 0.200.0-1.mga8
+ Revision: 1578379
- imported package perl-Compress-Zstd

